# 多语言

`FastAPI-Amis-Admin`的多语言支持分为前端`Amis`内部组件的多语言,以及后端常量文本的多语言.

- 系统默认内置支持语言有:`en_US`,`zh_CN`.其他语言拓展,参考[Amis多语言](https://aisuda.bce.baidu.com/amis/zh-CN/docs/extend/i18n).
- 从 0.1.1 版本开始系统默认语言依次尝试设置环境变量`LANGUAGE`/`LANG` > 操作系统默认语言 > 英文`en_US`.
- 可通过在项目入口文件顶部添加如下代码,进行自由切换语言。

在本案例中，可以直接在`adminsite.py`头部添加
```python  linenums="1" hl_lines="1 2"
from fastapi_amis_admin import i18n
i18n.set_language(language='zh_CN')
```
根据自身需要来设置`language`，目前项目中支持：
 - zh_CN
 - en_US
 - de_DE

项目国际化翻译文件路径位于`fastapi_amis_admin\locale`，可依据自身需要增加语言文件夹，并通过修改po文件后生成mo文件。